class MyArray {
  constructor(...values) {
    this.values = values;
  }

  [Symbol.iterator]() {
    let i = 0;
    let that = this;
    return {
      next() {
        return i < that.values.length ?
          { done: false, value: that.values[i++] } :
          { done: true };
      }
    };
  }
}

let my = new MyArray('ぱんだ', 'うさぎ', 'こあら');
for (let v of my) {
  console.log(v);
}
